'use strict';

// put these on a separate line with a var declaration for each. This makes diagnosing issues easier because you can see which line
// it fails on if there is an error in the require
var counterService = require('./CouchbaseCounterService');
var accountDataService = require('./CouchbaseAccountDataService');
var offlineDataService = require('./CouchbaseOfflineDataService');
var ruleDataService = require('./CouchbaseRuleDataService');
var connection = require('./CouchbaseConnection');
var dataInsertService = require('./CouchbaseDataInsertService');
var dataFindService = require('./CouchbaseDataFindService');
var dataUpdateService = require('./CouchbaseDataUpdateService');
var fileUploadService = require('./CouchbaseFileUploadService');
var auditService = require('./CouchbaseAuditService');
var componentService = require('./CouchbaseComponentService');
var couchbaseUtil = require('./CouchbaseUtil');

module.exports = {
    counterService: counterService,
    accountDataService: accountDataService,
    offlineDataService : offlineDataService,
    ruleDataService: ruleDataService,
    connection: connection,
    dataInsertService: dataInsertService,
    dataFindService: dataFindService,
    dataUpdateService: dataUpdateService,
    fileUploadService: fileUploadService,
    auditService: auditService,
    componentService: componentService,
    couchbaseUtil: couchbaseUtil
};
